Subject: bug#41185: highlight-regexp not working properly for multiline-matching regexps

From: jan <[email-masked]>
Date: Tue, 15 Jun 2021 14:25:58 +0100

To reinforce Michael Heerdegen's point, now it seems to be failing on
trivial single-line strings too:

start emacs with -Q, open a new buffer, say 'asdf'

type in 'silly'

Highlight it; M-s h r silly ret

existing silly gets highligted.

Press return a couple of times then type in 'silly' again, does not
highlight (see silly_twice_only_one_got_highlighted.PNG)

Turn off highlighting (M-s h u) then back on again (M-s h r silly ret)
and both are now highlighted (see silly_both_highlited.PNG), showing
incremental highlighting is indeed failing.

regards

jan

On 13/06/2021, Lars Ingebrigtsen <[email-masked]> wrote:
> Michael Heerdegen <[email-masked]> writes:
>
>> I think you must read the original report further, where there is a text
>> example with "endif" for that highlighting fails.  AFAICT the complaint
>> is about multi-line matches not being highlighted.
>>
>> I think `highlight-regexp' is not able to highlight multiline
>> stuff, but the docstring doesn't tell anything about this.
>
> It is being highlit, but not reliably, I see.  If you paste the test
> cases in, they are highlit, but not if you type them in (or paste them
> in in steps)...
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>